Package org.apache.tapestry5.internal.bindings

# Class AssetBinding

java.lang.Object
org.apache.tapestry5.ioc.BaseLocatable
org.apache.tapestry5.internal.bindings.AbstractBinding
org.apache.tapestry5.internal.bindings.AssetBinding

All Implemented Interfaces:
  `Binding`, `Binding2`, `AnnotationProvider`, `Locatable`

public class AssetBinding extends AbstractBinding

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssetBinding(Location location, String description, Asset asset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get()`
  Reads the current value of the property (or other resource).
  `Class`
  `getBindingType()`
  Returns the actual class, by invoking `Binding.get()`.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

  `getAnnotation, getBindingGenericType, isInvariant, set`

  ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

  `getLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssetBinding

    public AssetBinding(Location location, String description, Asset asset)

- ## Method Details

  - ### getBindingType

    public Class getBindingType()
    Description copied from class: `AbstractBinding`
    Returns the actual class, by invoking `Binding.get()`. Subclasses may override this method to work more efficiently (say, when the binding type is known statically).
    Specified by:
      `getBindingType` in interface `Binding`
    Overrides:
      `getBindingType` in class `AbstractBinding`

  - ### get

    public Object get()
    Description copied from interface: `Binding`
    Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`